# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Class AudioEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<DocumentListEntry>
                      com.google.gdata.data.docs.DocumentListEntry
                          com.google.gdata.data.docs.AudioEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry

    public class AudioEntry

extends DocumentListEntry

An entry representing a single audio file with a `DocumentListFeed`.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.docs.DocumentListEntry
`DocumentListEntry.MediaType`

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Category used to label entries which are of this document type.
`static java.lang.String` `KIND` Kind category term used to label the entries which are of this document type.
`static java.lang.String` `LABEL` Label for category.

Fields inherited from class com.google.gdata.data.docs.DocumentListEntry
`FOLDERS_NAMESPACE, PARENT_NAMESPACE, REVISIONS_NAMESPACE, UNKNOWN_CATEGORY, UNKNOWN_KIND, UNKNOWN_LABEL`

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`AudioEntry()` Constructs a new uninitialized entry, to be populated by the GData parsers.
`AudioEntry(BaseEntry<?> sourceEntry)` Constructs a new entry by doing a shallow copy from another BaseEntry instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Album` `getAlbum()` Returns the album.
`AlbumArt` `getAlbumArt()` Returns the album art.
`AlbumArtist` `getAlbumArtist()` Returns the album artist.
`Artist` `getArtist()` Returns the artist.
`Composer` `getComposer()` Returns the composer.
`Duration` `getDuration()` Returns the duration.
`Genre` `getGenre()` Returns the genre.
`Size` `getSize()` Returns the size.
`Track` `getTrack()` Returns the track.
`Year` `getYear()` Returns the year.
`boolean` `hasAlbum()` Returns whether it has the album.
`boolean` `hasAlbumArt()` Returns whether it has the album art.
`boolean` `hasAlbumArtist()` Returns whether it has the album artist.
`boolean` `hasArtist()` Returns whether it has the artist.
`boolean` `hasComposer()` Returns whether it has the composer.
`boolean` `hasDuration()` Returns whether it has the duration.
`boolean` `hasGenre()` Returns whether it has the genre.
`boolean` `hasSize()` Returns whether it has the size.
`boolean` `hasTrack()` Returns whether it has the track.
`boolean` `hasYear()` Returns whether it has the year.
`void` `setAlbum(Album album)` Sets the album.
`void` `setAlbumArt(AlbumArt albumArt)` Sets the album art.
`void` `setAlbumArtist(AlbumArtist albumArtist)` Sets the album artist.
`void` `setArtist(Artist artist)` Sets the artist.
`void` `setComposer(Composer composer)` Sets the composer.
`void` `setDuration(Duration duration)` Sets the duration
`void` `setGenre(Genre genre)` Sets the genre.
`void` `setSize(Size size)` Sets the size.
`void` `setTrack(Track track)` Sets the track.
`void` `setYear(Year year)` Sets the year.

Methods inherited from class com.google.gdata.data.docs.DocumentListEntry

`addFolder, getAclFeed, getAclFeedLink, getDocId, getDocumentLink, getFolders, getKey, getLastModifiedBy, getLastViewed, getMimeTypeFromFileName, getParentLinks, getQuotaBytesUsed, getResourceId, getType, isHidden, isStarred, isTrashed, isViewed, isWritersCanInvite, setFile, setFile, setHidden, setLastModifiedBy, setLastViewed, setQuotaBytesUsed, setResourceId, setStarred, setTrashed, setViewed, setWritersCanInvite`

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Field Detail

### LABEL

    public static final java.lang.String LABEL

  Label for category.

  See Also:
    Constant Field Values

### KIND

    public static final java.lang.String KIND

  Kind category term used to label the entries which are of this document type.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Category used to label entries which are of this document type.

Constructor Detail

### AudioEntry

    public AudioEntry()

  Constructs a new uninitialized entry, to be populated by the GData parsers.

### AudioEntry

    public AudioEntry(BaseEntry<?> sourceEntry)

  Constructs a new entry by doing a shallow copy from another BaseEntry instance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `DocumentListEntry`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getAlbum

    public Album getAlbum()

  Returns the album.

### setAlbum

    public void setAlbum(Album album)

  Sets the album.

  Parameters:
    `album` - album or `null` to reset

### hasAlbum

    public boolean hasAlbum()

  Returns whether it has the album.

### getAlbumArt

    public AlbumArt getAlbumArt()

  Returns the album art.

### setAlbumArt

    public void setAlbumArt(AlbumArt albumArt)

  Sets the album art.

  Parameters:
    `albumArt` - album art or `null` to reset

### hasAlbumArt

    public boolean hasAlbumArt()

  Returns whether it has the album art.

### getAlbumArtist

    public AlbumArtist getAlbumArtist()

  Returns the album artist.

### setAlbumArtist

    public void setAlbumArtist(AlbumArtist albumArtist)

  Sets the album artist.

  Parameters:
    `albumArtist` - album artist or `null` to reset

### hasAlbumArtist

    public boolean hasAlbumArtist()

  Returns whether it has the album artist.

### getArtist

    public Artist getArtist()

  Returns the artist.

### setArtist

    public void setArtist(Artist artist)

  Sets the artist.

  Parameters:
    `artist` - artist or `null` to reset

### hasArtist

    public boolean hasArtist()

  Returns whether it has the artist.

### getComposer

    public Composer getComposer()

  Returns the composer.

### setComposer

    public void setComposer(Composer composer)

  Sets the composer.

  Parameters:
    `composer` - composer or `null` to reset

### hasComposer

    public boolean hasComposer()

  Returns whether it has the composer.

### getDuration

    public Duration getDuration()

  Returns the duration.

### setDuration

    public void setDuration(Duration duration)

  Sets the duration

  Parameters:
    `duration` - duration or `null` to reset

### hasDuration

    public boolean hasDuration()

  Returns whether it has the duration.

### getGenre

    public Genre getGenre()

  Returns the genre.

### setGenre

    public void setGenre(Genre genre)

  Sets the genre.

  Parameters:
    `genre` - genre or `null` to reset

### hasGenre

    public boolean hasGenre()

  Returns whether it has the genre.

### getSize

    public Size getSize()

  Returns the size.

### setSize

    public void setSize(Size size)

  Sets the size.

  Parameters:
    `size` - size or `null` to reset

### hasSize

    public boolean hasSize()

  Returns whether it has the size.

### getTrack

    public Track getTrack()

  Returns the track.

### setTrack

    public void setTrack(Track track)

  Sets the track.

  Parameters:
    `track` - track or `null` to reset

### hasTrack

    public boolean hasTrack()

  Returns whether it has the track.

### getYear

    public Year getYear()

  Returns the year.

### setYear

    public void setYear(Year year)

  Sets the year.

  Parameters:
    `year` - year or `null` to reset

### hasYear

    public boolean hasYear()

  Returns whether it has the year.